Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender.db.jpa.converter
Class MessageAttributeConverter

    java.lang.Object
      org.apache.logging.log4j.core.appender.db.jpa.converter.MessageAttributeConverter

All Implemented Interfaces:
  AttributeConverter<org.apache.logging.log4j.message.Message,String>

    public class MessageAttributeConverter

extends Object
implements AttributeConverter<org.apache.logging.log4j.message.Message,String>

A JPA 2.1 attribute converter for `Message`s in `LogEvent`s. This converter is capable of converting both to and from `String`s.

Constructor Summary
`MessageAttributeConverter()`

Method Summary
`String` | `convertToDatabaseColumn(org.apache.logging.log4j.message.Message message)`
`org.apache.logging.log4j.message.Message` | `convertToEntityAttribute(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageAttributeConverter

    public MessageAttributeConverter()

Method Detail

### convertToDatabaseColumn

    public String convertToDatabaseColumn(org.apache.logging.log4j.message.Message message)

  Specified by:
    `convertToDatabaseColumn` in interface `AttributeConverter<org.apache.logging.log4j.message.Message,String>`

### convertToEntityAttribute

    public org.apache.logging.log4j.message.Message convertToEntityAttribute(String s)

  Specified by:
    `convertToEntityAttribute` in interface `AttributeConverter<org.apache.logging.log4j.message.Message,String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.